安静
PHP技术博客

110524 php 扩展对应依赖的库

php加载扩展的时候 报错

PHP Warning:  PHP Startup: Unable to load dynamic library ‘E:/php/APMServ5.2.6/PHP/ext/php_pgsql.dll’ – \xd5\xd2\xb2\xbb\xb5\xbd\xd6\xb8\xb6\xa8\xb5\xc4\xc4\xa3\xbf\xe9\xa1\xa3\r\n in Unknown on line 0

但  E:/php/ext/php_pgsql.dl 是存在的 ,有可能是缺少其他库导致的,如

php_pgsql.dll  则 需要 libpq.dll 库

 

其他相关的扩展支持需要的库

Dependency information:
Module: php5apache2_2_filter.dll
===========================
libapr-1.dll
libaprutil-1.dll

Module: php5apache2_2.dll
===========================
libapr-1.dll
libaprutil-1.dll

Module: php5pi3web.dll
===========================
pi2api.dll

Module: php_curl.dll
===========================
ssleay32.dll
libeay32.dll

Module: php_fdf.dll
===========================
fdftk.dll

Module: php_imap.dll
===========================
crypt32.dll

Module: php_interbase.dll
===========================
gds32.dll

Module: php_ldap.dll
===========================
ssleay32.dll
libeay32.dll

Module: php_mcrypt.dll
===========================
libmcrypt.dll

Module: php_mhash.dll
===========================
libmhash.dll

Module: php_msql.dll
===========================
msql.dll

Module: php_mssql.dll
===========================
ntwdblib.dll

Module: php_mysql.dll
===========================
libmysql.dll

Module: php_mysqli.dll
===========================
libmysql.dll

Module: php_openssl.dll
===========================
ssleay32.dll
libeay32.dll

Module: php_pgsql.dll
===========================
libpq.dll

Module: php_pspell.dll
===========================
aspell-15.dll

Module: php_pdo_mssql.dll
===========================
ntwdblib.dll

Module: php_pdo_firebird.dll
===========================
gds32.dll

Module: php_pdo_mysql.dll
===========================
libmysql.dll

Module: php_pdo_pgsql.dll
===========================
libpq.dll

Module: php_pdo_sqlite_external.dll
===========================
sqlite3.dll

赞(0) 打赏
未经允许不得转载:AJ's Blog » 110524 php 扩展对应依赖的库
分享到: 更多 (0)

评论 3

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址
  1. #-49

    及时插入,都说代码如诗,我却看不懂诗

    木木木木木子10年前 (2011-05-24)
  2. #-48

    …实际上 Win7 下面还是解决不了 pgsql 扩展的支持 估计是 64位系统导致的 在32位下是正常的

    可 乐烟10年前 (2011-05-24)
  3. -_- 这不是代码 是配置 描述

    可 乐烟10年前 (2011-05-24)

觉得文章有用就打赏一下文章作者

支付宝扫一扫打赏

微信扫一扫打赏